Index: greenstone3/trunk/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- greenstone3/trunk/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 16940)
+++ greenstone3/trunk/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 16982)
@@ -1,38 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-<OAI>
-    <ListMetadataFormats>
-     <!--What metadata sets to support is collection specific. To support other metadata schema, simply add a metadataFormat element here.
-         The support of unqualified Dublin Core metadata set is mendatory in the oai specification.
-     -->
-      <metadataFormat metadataPrefix="oai_dc">
-        <metadataPrefix>oai_dc</metadataPrefix>
-        <schema>http://www.openarchives.org/OAI/2.0/oai_dc.xsd</schema>
-        <metadataNamespace>http://www.openarchives.org/OAI/2.0/oai_dc/</metadataNamespace>
-        <mappingList>
-        <!-- 
-        The mapping is in the form: <publicly supported metadata name>,<mapped metadata name>, short as <A>,<B> 
-        The first metadata name is medatory; if there is no mapped name followed, then the first name must be used by the records and
-        searchable in the database, otherwise it is the mapped name stored in the database. The number of mapping elements matches the
-        number of external metadata of the records. If only one name is present, the returned metadata will use this name plus the retrieved value;
-        if both <A>,<B> are present, the returned metadata will use <A>'s name plus <B>'s value retrieved from database.
-        
-        **Bear in mind: if this mapping list is not present, the standard dc. metadata names (15 in total) will be used to retrieve metadata in the database.
-        -->
-            <mapping>dc.Title,dls.Title</mapping>
-            <mapping>dc.Subject,dls.Subject</mapping>  
-            <mapping>dc.Language,dls.Language</mapping>  
-            <mapping>dc.Organization,dls.Organization</mapping>  
-        </mappingList>
-     </metadataFormat>
-    </ListMetadataFormats>
-</OAI>    
     <metadataList>
-        <metadata lang="en" name="creator">greenstone@cs.waikato.ac.nz</metadata>
+        <metadata lang="en" name="creator"/>
         <metadata lang="en" name="maintainer"/>
         <metadata lang="en" name="public">true</metadata>
     </metadataList>
     <displayItemList>
-        <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MG. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem>
+        <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2-style collection, built with MG.</displayItem>
         <displayItem assigned="true" lang="en" name="smallicon">gs2mgdemo_sm.gif</displayItem>
         <displayItem assigned="true" lang="en" name="icon">gs2mgdemo.gif</displayItem>
@@ -58,43 +31,73 @@
             <displayItem lang="fr" name="name">titres des sections</displayItem>
         </index>
+        <indexOption>
+            <option name="casefold"/>
+            <option name="stem"/>
+        </indexOption>
         <format name="searchType">plain,form</format>
-        <format><gsf:template match="documentNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:icon type="document"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                          <td>                                                                                                                                                                                       <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                                                                                                                           :                                                                                                                            </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                           </gsf:template></format>
+        <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td><gsf:switch><gsf:metadata name="Title" select="ancestors" separator=": "/><gsf:when test="exists"><gsf:metadata name="Title" select="ancestors" separator=": "/>:</gsf:when></gsf:switch><gsf:link type="document"><gsf:metadata name="Title"/></gsf:link></td></gsf:template></format>
     </search>
     <import>
         <pluginList>
-            <plugin name="GAPlug"/>
-            <plugin name="HTMLPlug">
-               <option name="-description_tags"/>
+            <plugin name="GAPlugin"/>
+            <plugin name="HTMLPlugin">
+                <option name="-description_tags"/>
             </plugin>
-            <plugin name="MetadataXMLPlug"/>
-            <plugin name="ArcPlug"/>
-            <plugin name="RecPlug"/>
+            <plugin name="MetadataXMLPlugin"/>
+            <plugin name="ArchivesInfPlugin"/>
+            <plugin name="DirectoryPlugin"/>
         </pluginList>
     </import>
     <browse>
-	<classifier name="Hierarchy">
-	  <option name="-metadata" value="dls.Subject"/>
-	  <option name="-sort" value="dls.Title"/>
-	  <option name="-buttonname" value="Subject"/>
-	</classifier>
+        <classifier name="Hierarchy">
+            <option name="-metadata" value="dls.Subject"/>
+            <option name="-sort" value="dls.Title"/>
+            <option name="-buttonname" value="Subject"/>
+        </classifier>
         <classifier name="AZList">
             <option name="-metadata" value="dls.Title"/>
-            <format><gsf:template match="classifierNode" mode="horizontal">                                                                  <gsf:link type="horizontal">                                                                                                   <gsf:metadata name="Title"/>                                                                                  </gsf:link>                                                 </gsf:template></format>
         </classifier>
         <classifier name="AZCompactList">
             <option name="-metadata" value="dls.Organization"/>
-          <option name="-sort" value="dls.Title"/>
-	  <option name="-buttonname" value="Organization"/>
-          <option name="-mingroup" value="1"/>
+            <option name="-sort" value="dls.Title"/>
+            <option name="-buttonname" value="Organization"/>
+            <option name="-mingroup" value="1"/>
         </classifier>
         <classifier name="List">
             <option name="-metadata" value="dls.Keyword"/>
-	  <option name="-buttonname" value="Howto"/>
+            <option name="-buttonname" value="Howto"/>
         </classifier>
-        <format><gsf:template match="documentNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:icon type="document"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                       <gsf:metadata name="srclink"/>                                                                                                                                                                                       <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="thumbicon"/>                                                                                                                                                                                                                                                    <gsf:metadata name="srcicon"/>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                       <gsf:metadata name="/srclink"/>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                           <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="dc.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="exp.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                                                    <gsf:default>                                                                                                                                                           Untitled                                                                                                                            </gsf:default>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                           <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Source"/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <br/>                                                                                                                                                                                                                                                                                                                 <i>                                                                                                                                                                                          (                                                                                                                                                                                          <gsf:metadata name="Source"/>                                                                                                                                                                                          )                                                                                                                                                           </i>                                                                                                                                                                                                                                                                                  </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                        </td>                                                                                           </gsf:template>                                                             <gsf:template match="classifierNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="classifier">                                                                                                                                                                                                                                                    <gsf:icon type="classifier"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                       <gsf:metadata name="srclink"/>                                                                                                                                                                                       <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="thumbicon"/>                                                                                                                                                                                                                                                    <gsf:metadata name="srcicon"/>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                       <gsf:metadata name="/srclink"/>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                           <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="dc.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="exp.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                                                    <gsf:default>                                                                                                                                                           Untitled                                                                                                                            </gsf:default>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                           <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Source"/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <br/>                                                                                                                                                                                                                                                                                                                 <i>                                                                                                                                                                                          (                                                                                                                                                                                          <gsf:metadata name="Source"/>                                                                                                                                                                                          )                                                                                                                                                           </i>                                                                                                                                                                                                                                                                                  </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                        </td>                                                                                           </gsf:template>                                                             <gsf:template match="classifierNode" mode="horizontal">                                                                                                                          <gsf:link type="horizontal">                                                                                                                                                                                       <gsf:metadata name="Title"/>                                                                                                                                                        </gsf:link>                                                                                           </gsf:template></format>
+        <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td valign="top"><gsf:metadata name="srclink"/><gsf:choose-metadata><gsf:metadata name="thumbicon"/><gsf:metadata name="srcicon"/></gsf:choose-metadata><gsf:metadata name="/srclink"/></td><td valign="top"><gsf:choose-metadata><gsf:metadata name="dc.Title"/><gsf:metadata name="exp.Title"/><gsf:metadata name="Title"/><gsf:default>Untitled</gsf:default></gsf:choose-metadata><gsf:switch><gsf:metadata name="Source"/><gsf:when test="exists"><br/><i>(<gsf:metadata name="Source"/>)</i></gsf:when></gsf:switch></td></gsf:template><gsf:template match="classifierNode"><td valign="top"><gsf:link type="classifier"><gsf:icon type="classifier"/></gsf:link></td><td valign="top"><gsf:metadata name="Title"/></td></gsf:template><gsf:template match="classifierNode" mode="horizontal"><gsf:link type="horizontal"><gsf:metadata name="Title"/></gsf:link></gsf:template></format>
     </browse>
     <display>
-        <format><gsf:template match="documentcontent">                                                                                                  </gsf:template>                                                                  <gsf:option name="TOC" value="true"/>                                        </format>
+        <format><gsf:option name="TOC" value="true"/></format>
     </display>
     <replaceListRef id="gs2-standard"/>
+    <OAI>
+        <ListMetadataFormats>
+            <!--What metadata sets to support is collection specific. To support other metadata schema, simply add a metadataFormat element here.
+      The support of unqualified Dublin Core metadata set is mendatory in the oai specification.
+      -->
+            <metadataFormat metadataPrefix="oai_dc">
+                <metadataPrefix>oai_dc</metadataPrefix>
+                <schema>http://www.openarchives.org/OAI/2.0/oai_dc.xsd</schema>
+                <metadataNamespace>http://www.openarchives.org/OAI/2.0/oai_dc/</metadataNamespace>
+                <mappingList>
+                    <!-- 
+	  The mapping is in the form: <publicly supported metadata name>,<mapped metadata name>, short as <A>,<B> 
+	  The first metadata name is medatory; if there is no mapped name followed, then the first name must be used by the records and
+	  searchable in the database, otherwise it is the mapped name stored in the database. The number of mapping elements matches the
+	  number of external metadata of the records. If only one name is present, the returned metadata will use this name plus the retrieved value;
+	  if both <A>,<B> are present, the returned metadata will use <A>'s name plus <B>'s value retrieved from database.
+	  
+	  **Bear in mind: if this mapping list is not present, the standard dc. metadata names (15 in total) will be used to retrieve metadata in the database.
+	  -->
+                    <mapping>dc.Title,dls.Title</mapping>
+                    <mapping>dc.Subject,dls.Subject</mapping>
+                    <mapping>dc.Language,dls.Language</mapping>
+                    <mapping>dc.Organization,dls.Organization</mapping>
+                </mappingList>
+            </metadataFormat>
+        </ListMetadataFormats>
+    </OAI>
 </CollectionConfig>