Index: gli/trunk/src/org/greenstone/gatherer/metadata/DocGAFile.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/metadata/DocGAFile.java	(revision 17011)
+++ gli/trunk/src/org/greenstone/gatherer/metadata/DocGAFile.java	(revision 17011)
@@ -0,0 +1,47 @@
+/**
+ *############################################################################
+ * A component of the Greenstone Librarian Interface, part of the Greenstone
+ * digital library suite from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * Author: Michael Dewsnip, NZDL Project, University of Waikato, NZ
+ *
+ * Copyright (C) 2004 New Zealand Digital Library Project
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *############################################################################
+ */
+
+package org.greenstone.gatherer.metadata;
+
+
+import java.io.*;
+import java.util.*;
+import java.net.URLDecoder;
+import org.greenstone.gatherer.DebugStream;
+import org.greenstone.gatherer.util.Utility;
+
+
+/** This class represents one doc.xml file */
+
+public class DocGAFile extends DocXMLFile
+{
+    public DocGAFile(String doc_xml_file_path)
+    {
+	super(doc_xml_file_path);
+	MetadataWrap = "Description";
+	MetadataItem = "Metadata";
+    }
+}
Index: gli/trunk/src/org/greenstone/gatherer/metadata/DocMetsXMLFile.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/metadata/DocMetsXMLFile.java	(revision 17011)
+++ gli/trunk/src/org/greenstone/gatherer/metadata/DocMetsXMLFile.java	(revision 17011)
@@ -0,0 +1,47 @@
+/**
+ *############################################################################
+ * A component of the Greenstone Librarian Interface, part of the Greenstone
+ * digital library suite from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * Author: Michael Dewsnip, NZDL Project, University of Waikato, NZ
+ *
+ * Copyright (C) 2004 New Zealand Digital Library Project
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *############################################################################
+ */
+
+package org.greenstone.gatherer.metadata;
+
+
+import java.io.*;
+import java.util.*;
+import java.net.URLDecoder;
+import org.greenstone.gatherer.DebugStream;
+import org.greenstone.gatherer.util.Utility;
+
+
+/** This class represents one docmets.xml file */
+public class DocMetsXMLFile extends DocXMLFile
+{
+    public DocMetsXMLFile(String doc_xml_file_path)
+    {
+	super(doc_xml_file_path);
+	MetadataWrap = "mets:xmlData";
+	MetadataItem = "ex:metadata";
+
+    }
+}