Index: /greenstone3/trunk/web/interfaces/default/transform/about.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/about.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/about.xsl	(revision 17017)
@@ -11,4 +11,24 @@
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/applet.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/applet.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/applet.xsl	(revision 17017)
@@ -7,7 +7,28 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/authen.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/authen.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/authen.xsl	(revision 17017)
@@ -7,8 +7,29 @@
   exclude-result-prefixes="java util">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
 
-  <xsl:output method="html"/>  
+  <xsl:output method="html"/> 
+
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>  
 
   <xsl:param name="library_name"/> 
Index: /greenstone3/trunk/web/interfaces/default/transform/classifier.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/classifier.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/classifier.xsl	(revision 17017)
@@ -7,9 +7,31 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="classifiertools.xsl"/>
   <xsl:include href="berrytools.xsl"/>
 
-  <xsl:output method="html"/>  
+  <xsl:output method="html"/> 
+
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
+  
   <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
 
Index: /greenstone3/trunk/web/interfaces/default/transform/document.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/document.xsl	(revision 17017)
@@ -8,4 +8,5 @@
   exclude-result-prefixes="java util gsf">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
@@ -13,4 +14,39 @@
 
   <xsl:output method="html"/>
+  
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <xsl:variable name="bookswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:variable>
+    <xsl:variable name="a"><xsl:value-of select="/page/pageRequest/paramList/param[@name='a']/@value"/></xsl:variable>
+
+    <xsl:choose> 
+      <xsl:when test="$bookswitch = 'flashxml' and $a = 'd'">
+         <html>
+   		  <xsl:call-template name="response" />
+        </html>
+      </xsl:when>
+
+      <xsl:otherwise>    
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+  
+  
    <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
    <xsl:variable name="bookswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:variable>
Index: /greenstone3/trunk/web/interfaces/default/transform/gli4gs3.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/gli4gs3.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/gli4gs3.xsl	(revision 17017)
@@ -7,7 +7,28 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/help.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/help.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/help.xsl	(revision 17017)
@@ -11,4 +11,24 @@
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
   
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/home.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/home.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/home.xsl	(revision 17017)
@@ -11,4 +11,24 @@
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/pref.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/pref.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/pref.xsl	(revision 17017)
@@ -11,4 +11,24 @@
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
   
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/process.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/process.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/process.xsl	(revision 17017)
@@ -7,8 +7,29 @@
   exclude-result-prefixes="java util">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/default/transform/query.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/query.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/query.xsl	(revision 17017)
@@ -14,4 +14,24 @@
 
   <xsl:output method="html"/>
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
 
    <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 
Index: /greenstone3/trunk/web/interfaces/default/transform/system.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/default/transform/system.xsl	(revision 17016)
+++ /greenstone3/trunk/web/interfaces/default/transform/system.xsl	(revision 17017)
@@ -5,5 +5,26 @@
   extension-element-prefixes="java">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
+  
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+  </xsl:template>
   
     <xsl:template name="pageTitle">