Index: /greenstone3/trunk/web/interfaces/gs2/transform/about.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/about.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/about.xsl	(revision 17019)
@@ -13,4 +13,25 @@
   <xsl:include href="service-params.xsl"/>
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/applet.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/applet.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/applet.xsl	(revision 17019)
@@ -7,7 +7,29 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/authen.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/authen.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/authen.xsl	(revision 17019)
@@ -7,8 +7,30 @@
   exclude-result-prefixes="java util">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
 
   <xsl:param name="library_name"/> 
Index: /greenstone3/trunk/web/interfaces/gs2/transform/classifier.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/classifier.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/classifier.xsl	(revision 17019)
@@ -7,8 +7,30 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="classifiertools.xsl"/>
   
-  <xsl:output method="html"/>  
+  <xsl:output method="html"/> 
+
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>  
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl	(revision 17019)
@@ -8,7 +8,10 @@
   exclude-result-prefixes="java util gsf">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
   <xsl:output method="html"/>
+  
+  
 
   <!-- the main page layout template is here -->
@@ -16,5 +19,12 @@
   <xsl:template match="page" priority='2'>
     <html>
-      <xsl:call-template name="pageHead"/>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
       <body>
         <xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
Index: /greenstone3/trunk/web/interfaces/gs2/transform/gli4gs3.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/gli4gs3.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/gli4gs3.xsl	(revision 17019)
@@ -7,7 +7,29 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/help.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/help.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/help.xsl	(revision 17019)
@@ -7,4 +7,5 @@
   exclude-result-prefixes="java util">
 
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <!--<xsl:include href="help-text.xsl"/>-->
@@ -12,4 +13,25 @@
   
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
   
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/home.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/home.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/home.xsl	(revision 17019)
@@ -11,4 +11,25 @@
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
 
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/pref.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/pref.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/pref.xsl	(revision 17019)
@@ -7,6 +7,28 @@
   exclude-result-prefixes="java util">
   
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
   
   <xsl:template name="pageTitle">
Index: /greenstone3/trunk/web/interfaces/gs2/transform/query.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/query.xsl	(revision 17018)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/query.xsl	(revision 17019)
@@ -7,5 +7,5 @@
   exclude-result-prefixes="java util">
 
-  
+  <!-- style includes global params interface_name, library_name -->
   <xsl:include href="style.xsl"/>
   <xsl:include href="service-params.xsl"/>
@@ -13,4 +13,25 @@
   <xsl:include href="query-common.xsl"/>  
   <xsl:output method="html"/>
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+  </xsl:template>
   
   <xsl:template name="pageTitle">