Index: greenstone3/trunk/web/sites/localsite/collect/gberg/transform/about.xsl
===================================================================
--- greenstone3/trunk/web/sites/localsite/collect/gberg/transform/about.xsl	(revision 16986)
+++ greenstone3/trunk/web/sites/localsite/collect/gberg/transform/about.xsl	(revision 17022)
@@ -11,4 +11,53 @@
 
   <xsl:output method="html"/>  
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    
+    <xsl:choose> 
+	<!-- if we are using hte classic GS2 look and feel use this template otherwise use the default GS3 look and feel template -->
+      <xsl:when test="$interface_name = 'gs2'">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+      </xsl:when>
+
+      <xsl:otherwise>    
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+  
+
+
 
   <xsl:template name="pageTitle">
Index: greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-content.xsl
===================================================================
--- greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-content.xsl	(revision 16986)
+++ greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-content.xsl	(revision 17022)
@@ -11,4 +11,50 @@
 
   <xsl:output method="html"/> 
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    
+    <xsl:choose> 
+	<!-- if we are using hte classic GS2 look and feel use this template otherwise use the default GS3 look and feel template -->
+      <xsl:when test="$interface_name = 'gs2'">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+      </xsl:when>
+
+      <xsl:otherwise>    
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
   
   <xsl:template name="pageTitle">
Index: greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-toc.xsl
===================================================================
--- greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-toc.xsl	(revision 16986)
+++ greenstone3/trunk/web/sites/localsite/collect/gberg/transform/document-toc.xsl	(revision 17022)
@@ -12,4 +12,50 @@
 
   <xsl:output method="html"/> 
+  
+    <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    
+    <xsl:choose> 
+	<!-- if we are using hte classic GS2 look and feel use this template otherwise use the default GS3 look and feel template -->
+      <xsl:when test="$interface_name = 'gs2'">
+    <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+      <body class="bgimage">
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
+      </body>
+    </html>
+      </xsl:when>
+
+      <xsl:otherwise>    
+        <html>
+    <head>
+      <title>
+	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+      </title>
+      <xsl:call-template name="globalStyle"/>
+      <xsl:call-template name="pageStyle"/>
+    </head>
+          <body>
+           <div id="globalwrapper">
+   		  <xsl:call-template name="response" />
+		  <xsl:call-template name="greenstoneFooter"/>
+	   </div>
+          </body>
+        </html>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
   
   <xsl:template name="pageTitle">