Index: gsdl/trunk/perllib/strings.properties
===================================================================
--- gsdl/trunk/perllib/strings.properties	(revision 17066)
+++ gsdl/trunk/perllib/strings.properties	(revision 17068)
@@ -239,5 +239,5 @@
 import.groupsize:Number of import documents to group into one XML file.
 
-import.gzip:Use gzip to compress resulting xml documents (don't forget to include ZIPPlug in your plugin list when building from compressed documents).
+import.gzip:Use gzip to compress resulting xml documents (don't forget to include ZIPPlugin in your plugin list when building from compressed documents).
 
 import.importdir:Where the original material lives.
@@ -341,5 +341,5 @@
 export.groupsize:Number of documents to group into one XML file.
 
-export.gzip:Use gzip to compress resulting xml documents (don't forget to include ZIPPlug in your plugin list when building from compressed documents).
+export.gzip:Use gzip to compress resulting xml documents (don't forget to include ZIPPlugin in your plugin list when building from compressed documents).
 
 export.importdir:Where the original material lives.
@@ -506,5 +506,5 @@
 BasPlugout.verbosity:Controls the quantity of output. 0=none, 3=lots.
 
-BasPlugout.gzip_output:Use gzip to compress resulting xml documents (don't forget to include ZIPPlug in your plugin list when building from compressed documents).
+BasPlugout.gzip_output:Use gzip to compress resulting xml documents (don't forget to include ZIPPlugin in your plugin list when building from compressed documents).
 
 BasPlugout.xslt_file:Transform a document with the XSLT in the named file.  
@@ -717,5 +717,5 @@
 BasePlugin.associate_tail_re:A regular expression to match filenames against to find associated files. Used as a more powerful alternative to associate_ext.
 
-BasePlugin.block_exp:Files matching this regular expression will be blocked from being passed to any later plugins in the list. This has no real effect other than to prevent lots of warning messages about input files you don't care about. Each plugin might have a default block_exp. e.g. by default HTMLPlug blocks any files with .gif, .jpg, .jpeg, .png or .css file extensions.
+BasePlugin.block_exp:Files matching this regular expression will be blocked from being passed to any later plugins in the list. This has no real effect other than to prevent lots of warning messages about input files you don't care about. Each plugin might have a default block_exp. e.g. by default HTMLPlugin blocks any files with .gif, .jpg, .jpeg, .png or .css file extensions.
 
 BasePlugin.desc:Base class for all the import plugins.
@@ -753,7 +753,7 @@
 BasePlugin.stems:stems
 
-BibTexPlugin.desc:BibTexPlug reads bibliography files in BibTex format. BibTexPlug creates a document object for every reference in the file. It is a subclass of SplitPlug, so if there are multiple records, all are read.
-
-BookPlugin.desc:Creates multi-level document from document containing <<TOC>> level tags. Metadata for each section is taken from any other tags on the same line as the <<TOC>>. e.g. <<Title>>xxxx<</Title>> sets Title metadata. Everything else between TOC tags is treated as simple html (i.e. no processing of html links or any other HTMLPlug type stuff is done). Expects input files to have a .hb file extension by default (this can be changed by adding a -process_exp option a file with the same name as the hb file but a .jpg extension is taken as the cover image (jpg files are blocked by this plugin). BookPlug is a simplification (and extension) of the HBPlug used by the Humanity Library collections. BookPlug is faster as it expects the input files to be cleaner (The input to the HDL collections contains lots of excess html tags around <<TOC>> tags, uses <<I>> tags to specify images, and simply takes all text between <<TOC>> tags and start of text to be Title metadata). If you're marking up documents to be displayed in the same way as the HDL collections, use this plugin instead of HBPlug.
+BibTexPlugin.desc:BibTexPlugin reads bibliography files in BibTex format. BibTexPlugin creates a document object for every reference in the file. It is a subclass of SplitTextFile, so if there are multiple records, all are read.
+
+BookPlugin.desc:Creates multi-level document from document containing <<TOC>> level tags. Metadata for each section is taken from any other tags on the same line as the <<TOC>>. e.g. <<Title>>xxxx<</Title>> sets Title metadata. Everything else between TOC tags is treated as simple html (i.e. no processing of html links or any other HTMLPlugin type stuff is done). Expects input files to have a .hb file extension by default (this can be changed by adding a -process_exp option a file with the same name as the hb file but a .jpg extension is taken as the cover image (jpg files are blocked by this plugin). BookPlugin is a simplification (and extension) of the HBPlugin used by the Humanity Library collections. BookPlugin is faster as it expects the input files to be cleaner (The input to the HDL collections contains lots of excess html tags around <<TOC>> tags, uses <<I>> tags to specify images, and simply takes all text between <<TOC>> tags and start of text to be Title metadata). If you're marking up documents to be displayed in the same way as the HDL collections, use this plugin instead of HBPlugin.
 
 CONTENTdmPlugin.desc:Plugin that processes RDF files in exported CONTENTdm collections.
@@ -881,5 +881,5 @@
 HTMLPlugin.sectionalise_using_h_tags:Automatically create a sectioned document using h1, h2, ... hX tags.
 
-HTMLPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PDFPlug to remove "Page 1", etc from text used as the title.
+HTMLPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PDFPlugin to remove "Page 1", etc from text used as the title.
 
 HTMLPlugin.tidy_html:If set, converts an HTML document into a well-formed XHTML to enable users view the document in the book format.
@@ -974,5 +974,5 @@
 MetadataCSVPlugin.desc:A plugin for metadata in comma-separated value format. The Filename field in the CSV file is used to determine which document the metadata belongs to.
 
-MetadataPass.desc:On-the-side base class to BasPlug that supports metadata plugins utilise metadata_read pass of import.pl
+MetadataPass.desc:On-the-side base class to BasePlugin that supports metadata plugins utilise metadata_read pass of import.pl
 
 MetadataXMLPlugin.desc:Plugin that processes metadata.xml files.
@@ -1081,5 +1081,5 @@
 RealMediaPlugin.desc:A plugin for processing Real Media files.
 
-ReferPlugin.desc:ReferPlug reads bibliography files in Refer format.
+ReferPlugin.desc:ReferPlugin reads bibliography files in Refer format.
 
 RogPlugin.desc:Creates simple single-level documents from .rog or .mdb files.
@@ -1091,5 +1091,5 @@
 SourceCodePlugin.remove_prefix:Remove this leading pattern from the filename (eg -remove_prefix /tmp/XX/src/). The default is to remove the whole path from the filename.
 
-SplitTextFile.desc:SplitPlug is a plugin for splitting input files into segments that will then be individually processed. This plugin should not be called directly.  Instead, if you need to process input files that contain several documents, you should write a plugin with a process function that will handle one of those documents and have it inherit from SplitPlug.  See ReferPlug for an example.
+SplitTextFile.desc:SplitTextFile is a plugin for splitting input files into segments that will then be individually processed. This plugin should not be called directly.  Instead, if you need to process input files that contain several documents, you should write a plugin with a process function that will handle one of those documents and have it inherit from SplitTextFile.  See ReferPlugin for an example.
 
 SplitTextFile.split_exp:A perl regular expression to split input files into segments.
@@ -1111,5 +1111,5 @@
 TextPlugin.desc:Creates simple single-level document. Adds Title metadata of first line of text (up to 100 characters long).
 
-TextPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PSPlug to remove "Page 1" etc from text used as the title.
+TextPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PSPlugin to remove "Page 1" etc from text used as the title.
 
 UnknownPlugin.assoc_field:Name of the metadata field that will hold the associated file's name.