Index: gsdl/trunk/perllib/strings_fr.properties
===================================================================
--- gsdl/trunk/perllib/strings_fr.properties	(revision 17068)
+++ gsdl/trunk/perllib/strings_fr.properties	(revision 17069)
@@ -236,5 +236,5 @@
 import.groupsize:Nombre de documents importÃ©s Ã  regrouper dans un fichier XML.
 
-import.gzip:Utiliser gzip pour compresser les documents xml de sortie (ne pas oublier d'intÃ©grer ZIPPLug dans votre liste de plugins en construisant Ã  partir de documents compressÃ©s.
+import.gzip:Utiliser gzip pour compresser les documents xml de sortie (ne pas oublier d'intÃ©grer ZIPPLugin dans votre liste de plugins en construisant Ã  partir de documents compressÃ©s.
 
 import.importdir:lÃ  oÃ¹ se trouve le matÃ©riau original.
@@ -338,5 +338,5 @@
 export.groupsize:Nombre de documents Ã  grouper dans un fichier XML.  # Updated 13-Mar-2006
 
-export.gzip:Utiliser gzip pour compresser les documents xml rÃ©sultats (Noubliez pas d'insÃ©rer ZIPPlug dans votre liste de plugins lorsque vous construisez Ã  partir de documents comprÃ©ssÃ©s.
+export.gzip:Utiliser gzip pour compresser les documents xml rÃ©sultats (Noubliez pas d'insÃ©rer ZIPPlugin dans votre liste de plugins lorsque vous construisez Ã  partir de documents comprÃ©ssÃ©s.
 
 export.importdir:La ou le matÃ©riel original rÃ©side.
@@ -503,5 +503,5 @@
 BasPlugout.verbosity:ContrÃŽles de la quantitÃ© de la sortie. 0 = aucun, 3 = beaucoup.  # Updated 4-Dec-2007 by Georges Braoudakis
 
-BasPlugout.gzip_output:Utilisez gzip pour compresser les documents xml rÃ©sultants (n'oubliez pas d'inclure ZIPPlug dans votre plugin lors de la construction de la liste des documents compressÃ©s)  # Updated 4-Dec-2007 by Georges Braoudakis
+BasPlugout.gzip_output:Utilisez gzip pour compresser les documents xml rÃ©sultants (n'oubliez pas d'inclure ZIPPlugin dans votre plugin lors de la construction de la liste des documents compressÃ©s)  # Updated 4-Dec-2007 by Georges Braoudakis
 
 BasPlugout.xslt_file:Transformer un document avec XSLT dans le fichier nommÃ©.  # Updated 4-Dec-2007 by Georges Braoudakis
@@ -688,5 +688,5 @@
 AcronymExtractor.already_seen:dÃ©jÃ  vu
 
-AcronymExtractor.desc:Classe de base pour tous les plugins d'importation.
+# -- Missing translation: AcronymExtractor.desc
 
 AcronymExtractor.done_acronym_extract:extraction des acronymes terminÃ©e.
@@ -714,5 +714,5 @@
 # -- Missing translation: BasePlugin.associate_tail_re
 
-BasePlugin.block_exp:Les fichiers qui correspondent Ã  cette expression ordinaire ne pourront pas Ãªtre passÃ©s Ã  d'autres plugins dans la liste. Cela n'a pas d'autres vÃ©ritables effets que d'empÃªcher qu'il y ait plusieurs messages d'avertissements concernant des fichiers d'entrÃ©e dont vous n'aurez pas Ã  vous soucier. Chaque plugin pourrait avoir un bloc_exp par dÃ©faut, p.ex: par dÃ©faut HTMLPlug bloque tout fichier avec les extensions de fichiers .gif, .,jpg, ,.jpeg, .png ou .css.
+BasePlugin.block_exp:Les fichiers qui correspondent Ã  cette expression ordinaire ne pourront pas Ãªtre passÃ©s Ã  d'autres plugins dans la liste. Cela n'a pas d'autres vÃ©ritables effets que d'empÃªcher qu'il y ait plusieurs messages d'avertissements concernant des fichiers d'entrÃ©e dont vous n'aurez pas Ã  vous soucier. Chaque plugin pourrait avoir un bloc_exp par dÃ©faut, p.ex: par dÃ©faut HTMLPlugin bloque tout fichier avec les extensions de fichiers .gif, .,jpg, ,.jpeg, .png ou .css.
 
 BasePlugin.desc:Classe de base pour tous les plugins d'importation.
@@ -740,25 +740,25 @@
 BasePlugin.no_cover_image:Ne pas rechercher un fichier prÃ©fix.jpg ( prÃ©fix Ã©tant le mÃªme prÃ©fix que le fichier traitÃ©) et considÃ©rer le comme image de couverture.
 
-BasePlugin.process_exp:Une expression de Perl Ã  faire correspondre Ã  des noms de fichiers. La correspondance avec les noms de fichiers sera traitÃ©e avec ce plugin. Par exemple, l'usage de '(?i).html?\$' fait correspondre tous les documents se terminant par .htm ou .html (indÃ©pendemment de la casse).
-
-BasePlugin.smart_block:Bloquer les fichiers d'une faÃ§on plus flexible qu'en regardant le nom du fichier.
-
-BasePlugin.stems:troncs
-
-BibTexPlugin.desc:BibTexPlug lit les fichiers bibliographiques dans le format BibTex. BibTexPlug crÃ©e un objet document pour chaque rÃ©fÃ©rence dans le fichier. C'est une sous-classe de SplitPlug, donc s'il y a plusieurs Ã©lÃ©ments, ils sont tous lus.
-
-BookPlugin.desc:CrÃ©e un document Ã  niveaux multiples Ã  partir d'un document contenant les balises de niveau <<TOC>>. Les mÃ©ta-donnÃ©es pour chaque section sont extraites Ã  partir des autres balises se trouvant sur la mÃªme ligne que <<TOC>>. Par exemple, <<Title>>xxxx<</Title>> dÃ©finit une mÃ©ta-donnÃ©e de titre. Tout le reste entre des balises TOC est traitÃ© comme du simple html (c.-Ã -d. qu'aucun lien html ou tout autre Ã©lÃ©ment de type HTMLPlug n'est traitÃ©). Les fichiers d'entrÃ©e sont supposÃ©s avoir l'extension .hb par dÃ©faut (cela peut Ãªtre changÃ© en ajoutant une option -processus_exp de mÃªme que le fichier hb mais une extension .jpg est prise comme image de couverture (les fichiers jpg sont bloquÃ©s par ce plugin). BookPlug est une simplification (et une extension) de HPPlug utilisÃ© par Humanity Library Collections. BookPlug est plus rapide et il s'attend Ã  ce que les fichiers d'entrÃ©e soient  propres (l'entrÃ©e aux collections HDL contient un nombre excessif de balises html autour de <<TOC>>, et utilise des balises <<I>> pour spÃ©cifier les images, et prend tout simplement tout le texte compris entre les balises <<TOC>> et le dÃ©but du texte comme Ã©tant la mÃ©ta-donnÃ©e de titre). Si vous dÃ©sirez baliser un document pour qu'il soit affichÃ© de la mÃªme maniÃšre que les collections HDL, utilisez ce plugin au lieu de HBPlug.
+BasePlugin.process_exp:Une expression de Perl Ã  faire correspondre Ã  des noms de fichiers. La correspondance avec les noms de fichiers sera traitÃ©e avec ce plugin. Par exemple, l'usage de '(?i).html?\$' fait correspondre tous les documents se terminant par .htm ou .html (indÃ©pendemment de la casse).  # Updated 16-Jun-2008
+
+BasePlugin.smart_block:Bloquer les fichiers d'une faÃ§on plus flexible qu'en regardant le nom du fichier.  # Updated 16-Jun-2008
+
+BasePlugin.stems:troncs  # Updated 16-Jun-2008
+
+BibTexPlugin.desc:BibTexPlugin lit les fichiers bibliographiques dans le format BibTex. BibTexPlugin crÃ©e un objet document pour chaque rÃ©fÃ©rence dans le fichier. C'est une sous-classe de SplitTextFile, donc s'il y a plusieurs Ã©lÃ©ments, ils sont tous lus.  # Updated 16-Jun-2008
+
+BookPlugin.desc:CrÃ©e un document Ã  niveaux multiples Ã  partir d'un document contenant les balises de niveau <<TOC>>. Les mÃ©ta-donnÃ©es pour chaque section sont extraites Ã  partir des autres balises se trouvant sur la mÃªme ligne que <<TOC>>. Par exemple, <<Title>>xxxx<</Title>> dÃ©finit une mÃ©ta-donnÃ©e de titre. Tout le reste entre des balises TOC est traitÃ© comme du simple html (c.-Ã -d. qu'aucun lien html ou tout autre Ã©lÃ©ment de type HTMLPlugin n'est traitÃ©). Les fichiers d'entrÃ©e sont supposÃ©s avoir l'extension .hb par dÃ©faut (cela peut Ãªtre changÃ© en ajoutant une option -processus_exp de mÃªme que le fichier hb mais une extension .jpg est prise comme image de couverture (les fichiers jpg sont bloquÃ©s par ce plugin). BookPlugin est une simplification (et une extension) de HBPlugin utilisÃ© par Humanity Library Collections. BookPlugin est plus rapide et il s'attend Ã  ce que les fichiers d'entrÃ©e soient  propres (l'entrÃ©e aux collections HDL contient un nombre excessif de balises html autour de <<TOC>>, et utilise des balises <<I>> pour spÃ©cifier les images, et prend tout simplement tout le texte compris entre les balises <<TOC>> et le dÃ©but du texte comme Ã©tant la mÃ©ta-donnÃ©e de titre). Si vous dÃ©sirez baliser un document pour qu'il soit affichÃ© de la mÃªme maniÃšre que les collections HDL, utilisez ce plugin au lieu de HBPlugin.  # Updated 16-Jun-2008
 
 # -- Missing translation: CONTENTdmPlugin.desc
 
-ConvertBinaryFile.apply_fribidi:ExÃ©cutez le programme d' Algoritme d' Unicode Bidirectional "fribidi" sur le fichier convertit (pour texte de droite-Ã -gauche).  # Updated 12-Mar-2006
-
-ConvertBinaryFile.convert_to:Ce plugin convertit Ã  TEXT, Ã  HTML ou Ã  diffÃ©rents types d' images (ex: JEPG, GIF, PNG).  # Updated 13-Mar-2006
-
-ConvertBinaryFile.convert_to.auto:SÃ©lectionnez aussi automatiquement le format convertit. Le format choise dÃ©pend du input du document type, par exemple Word sera automatiquement convertit en HTML, alors que PowerPoint sera convertit au format de PagedImage de Greenstone.  # Updated 12-Mar-2006
-
-ConvertBinaryFile.convert_to.html:Format HTML
-
-ConvertBinaryFile.convert_to.text:Format de texte simple
+ConvertBinaryFile.apply_fribidi:ExÃ©cutez le programme d' Algoritme d' Unicode Bidirectional "fribidi" sur le fichier convertit (pour texte de droite-Ã -gauche).  # Updated 16-Jun-2008
+
+ConvertBinaryFile.convert_to:Ce plugin convertit Ã  TEXT, Ã  HTML ou Ã  diffÃ©rents types d' images (ex: JEPG, GIF, PNG).  # Updated 16-Jun-2008
+
+ConvertBinaryFile.convert_to.auto:SÃ©lectionnez aussi automatiquement le format convertit. Le format choise dÃ©pend du input du document type, par exemple Word sera automatiquement convertit en HTML, alors que PowerPoint sera convertit au format de PagedImage de Greenstone.  # Updated 16-Jun-2008
+
+ConvertBinaryFile.convert_to.html:Format HTML  # Updated 16-Jun-2008
+
+ConvertBinaryFile.convert_to.text:Format de texte simple  # Updated 16-Jun-2008
 
 # -- Missing translation: ConvertBinaryFile.convert_to.pagedimg
@@ -770,13 +770,13 @@
 ConvertBinaryFile.convert_to.pagedimg_png:Format PNG.  # Updated 13-Mar-2006
 
-ConvertBinaryFile.desc:Ce plugiciel est hÃ©ritÃ© par des plugiciels tels que WordPlug, PPTPlug, PSPlug, RTFPlug et PDFPlug. Il facilite la conversion de ces types de documents Ã  la fois en HTML, TEXT ou en une sÃ©rie d'images. Il agit par chargement dynamique d'un plugiciel secondaire (HTMLPlug, StructuredHTMLPlug, PagedImgPlug ou TEXTPlug) basÃ© sur l'argument du plugiciel  'convert_to '.  # Updated 6-Dec-2007 by Georges Braoudakis
-
-ConvertBinaryFile.keep_original_filename:Conserver le nom de fichier original pour le fichier associÃ©, plutÃŽt que de le convertir en doc.pdf, doc.doc etc  # Updated 4-Dec-2007 by Georges Braoudakis
-
-ConvertBinaryFile.use_strings:Si dÃ©fini, une simple fonction de chaÃ®ne sera appelÃ©e pour extraire le texte si l'utilitaire de conversion Ã©choue.
-
-ConvertToRogPlugin.desc:Un plugiciel qui hÃ©rite de RogPlug.
-
-CSVPlugin.desc:Un plugiciel pour les fichiers en format de valeurs sÃ©parÃ©s par des virgules. Un nouveau document sera crÃ©Ã© pour chaque ligne du fichier.  # Updated 4-Dec-2007 by Georges Braoudakis
+ConvertBinaryFile.desc:Ce plugiciel est hÃ©ritÃ© par des plugiciels tels que WordPlugin, PPTPlugin, PSPlugin, RTFPlugin et PDFPlugin. Il facilite la conversion de ces types de documents Ã  la fois en HTML, TEXT ou en une sÃ©rie d'images. Il agit par chargement dynamique d'un plugiciel secondaire (HTMLPlugin, StructuredHTMLPlugin, PagedImgPlugin ou TEXTPlugin) basÃ© sur l'argument du plugiciel  'convert_to '.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+ConvertBinaryFile.keep_original_filename:Conserver le nom de fichier original pour le fichier associÃ©, plutÃŽt que de le convertir en doc.pdf, doc.doc etc  # Updated 16-Jun-2008
+
+ConvertBinaryFile.use_strings:Si dÃ©fini, une simple fonction de chaÃ®ne sera appelÃ©e pour extraire le texte si l'utilitaire de conversion Ã©choue.  # Updated 16-Jun-2008
+
+ConvertToRogPlugin.desc:Un plugiciel qui hÃ©rite de RogPlugin.
+
+CSVPlugin.desc:Un plugiciel pour les fichiers en format de valeurs sÃ©parÃ©s par des virgules. Un nouveau document sera crÃ©Ã© pour chaque ligne du fichier.  # Updated 16-Jun-2008
 
 # -- Missing translation: DateExtractor.desc
@@ -796,15 +796,15 @@
 DirectoryPlugin.use_metadata_files:(OBSOLETE - PlutÃŽt ajoutez MetadataXMLPlug Ã  la liste des plug-ins) Lit des mÃ©tadonnÃ©es Ã  partir de fichiers de mÃ©tadonnÃ©es XML.  # Updated 6-Dec-2007 by Georges Braoudakis
 
-DBPlugin.desc:Un plugiciel qui importe des enregistrements d'une base de donnÃ©es. Il utilise le module de perl DBI, qui comprend des dorsaux pour mysql, postgresql-client, valeurs sÃ©parÃ©es par des virgules (CSV), MS Excel, ODBC, sybase, etc ... Des modules supplÃ©mentaires doivent Ãªtre installÃ©s pour utiliser cela. Voir <GSDLHOME>/etc/packages/example.dbi pour un exemple de fichier de configuration.  # Updated 6-Dec-2007 by Georges Braoudakis
+DBPlugin.desc:Un plugiciel qui importe des enregistrements d'une base de donnÃ©es. Il utilise le module de perl DBI, qui comprend des dorsaux pour mysql, postgresql-client, valeurs sÃ©parÃ©es par des virgules (CSV), MS Excel, ODBC, sybase, etc ... Des modules supplÃ©mentaires doivent Ãªtre installÃ©s pour utiliser cela. Voir <GSDLHOME>/etc/packages/example.dbi pour un exemple de fichier de configuration.  # Updated 16-Jun-2008
 
 DSpacePlugin.desc:DSpacePlug prend une collection de documents exportÃ©s de DSpace et les importe dans Greenstone.  # Updated 6-Dec-2007 by Georges Braoudakis
 	
-DSpacePlugin.first_inorder_ext:Ceci est utilisÃ© pour identifier le rÃ©seau primaire de collection de documents DSpace. Avec cette option, le systÃšme traitera les ext types dÃ©finits de documents en sÃ©quence pour chercher le possible rÃ©seau primaire.  # Updated 12-Mar-2006
-
-DSpacePlugin.first_inorder_mime:Ceci est utilisÃ© pour identifier la source primaire de donnÃ©es deu document de collection DSpace. Avec cette option, le systÃšme traitera les types mimes dÃ©finits des documents en sÃ©quence pour chercher la possible source primaire.  # Updated 13-Mar-2006
-
-DSpacePlugin.only_first_doc:Ceci est utilisÃ© pour identifier le rÃ©seau primaire d' information du document de collection DSpace. Avec cette option, le systÃšme traitera le premier document du le fichier metadata dublic_core comme le possible rÃ©seau primaire.  # Updated 12-Mar-2006
-
-EmailAddressExtractor.desc:Classe de base pour tous les plugins d'importation.
+DSpacePlugin.first_inorder_ext:Ceci est utilisÃ© pour identifier le rÃ©seau primaire de collection de documents DSpace. Avec cette option, le systÃšme traitera les ext types dÃ©finits de documents en sÃ©quence pour chercher le possible rÃ©seau primaire.  # Updated 16-Jun-2008
+
+DSpacePlugin.first_inorder_mime:Ceci est utilisÃ© pour identifier la source primaire de donnÃ©es deu document de collection DSpace. Avec cette option, le systÃšme traitera les types mimes dÃ©finits des documents en sÃ©quence pour chercher la possible source primaire.  # Updated 16-Jun-2008
+
+DSpacePlugin.only_first_doc:Ceci est utilisÃ© pour identifier le rÃ©seau primaire d' information du document de collection DSpace. Avec cette option, le systÃšme traitera le premier document du le fichier metadata dublic_core comme le possible rÃ©seau primaire.  # Updated 16-Jun-2008
+
+# -- Missing translation: EmailAddressExtractor.desc
 
 EmailAddressExtractor.done_email_extract:extraction des adresses e-mail terminÃ©e.
@@ -872,5 +872,5 @@
 HTMLPlugin.sectionalise_using_h_tags:CrÃ©e automatiquement un document sectionnÃ© utilisant les tags h1, h2, ...hX.  # Updated 13-Mar-2006
 
-HTMLPlugin.title_sub:Expression de substitution pour modifier la chaine enregistrÃ©e comme titre. UtilisÃ© par exemple par PDFPlug pour supprimer ''Page 1'', etc du texte utilisÃ© comme titre.
+HTMLPlugin.title_sub:Expression de substitution pour modifier la chaine enregistrÃ©e comme titre. UtilisÃ© par exemple par PDFPlugin pour supprimer ''Page 1'', etc du texte utilisÃ© comme titre.
 
 HTMLPlugin.tidy_html:Si dÃ©fini, convertit un document HTML Ã  un bien formÃ©e XHTML. Il permettra Ã  l'utilisateur de visualiser le document en format livre.  # Updated 4-Dec-2007 by Georges Braoudakis
@@ -965,5 +965,5 @@
 MetadataCSVPlugin.desc:Un plugiciel pour les mÃ©tadonnÃ©es de valeurs sÃ©parÃ©es par des virgules. Le champ Nom de fichier dans le fichier CSV est utilisÃ© pour dÃ©terminer Ã  quel document appartiennent les mÃ©tadonnÃ©es.  # Updated 5-Dec-2007 by Georges Braoudakis
 
-MetadataPass.desc:Classe de base Ã  BasPlug qui permet l'utilisation des plugins mÃ©ta-donnÃ©e, utilise la passe metadata_read de import.pl
+MetadataPass.desc:Classe de base Ã  BasePlugin qui permet l'utilisation des plugins mÃ©ta-donnÃ©e, utilise la passe metadata_read de import.pl
 
 # -- Missing translation: MetadataXMLPlugin.desc
@@ -1072,5 +1072,5 @@
 RealMediaPlugin.desc:Un module externe pour le traitement automatique de l' information des fichiers Real Media.  # Updated 12-Mar-2006
 
-ReferPlugin.desc:ReferPlug lit les fichiers de bibliographie au format Refer.
+ReferPlugin.desc:ReferPlugin lit les fichiers de bibliographie au format Refer.
 
 RogPlugin.desc:CrÃ©e des documents Ã  un seul niveau Ã  partir de fichiers .rog ou .mdb.
@@ -1082,5 +1082,5 @@
 SourceCodePlugin.remove_prefix:Enlever cette chaine de dÃ©but du nom de fichier (ex.: -remove_prefix /tmp/XX/src). Par dÃ©faut, le chemin complet est supprimÃ© du nom de fichier.
 
-SplitTextFile.desc:SplitPlug est un plugin pour Ã©clater des fichiers d'entrÃ© en en segments qui vont Ãªtre traitÃ©s individuellement. Ce plugin ne doit pas Ãªtre invoquÃ© directement. Si vous voulez traiter des fichiers d'entrÃ©e qui contiennent plusieurs documents, vous devez plutÃŽt Ã©crire un plugin avec une fonction de traitement qui va traiter un de ces documents et hÃ©riter de SplitPlug. Voir ReferPlug en guise d'exemple.
+SplitTextFile.desc:SplitTextFile est un plugin pour Ã©clater des fichiers d'entrÃ© en en segments qui vont Ãªtre traitÃ©s individuellement. Ce plugin ne doit pas Ãªtre invoquÃ© directement. Si vous voulez traiter des fichiers d'entrÃ©e qui contiennent plusieurs documents, vous devez plutÃŽt Ã©crire un plugin avec une fonction de traitement qui va traiter un de ces documents et hÃ©riter de SplitTextFile. Voir ReferPlugin en guise d'exemple.
 
 SplitTextFile.split_exp:Une expression ordinaire Perl pour Ã©clater les fichiers d'entrÃ©e en segments.
@@ -1102,5 +1102,5 @@
 TextPlugin.desc:CrÃ©e un document Ã  niveau unique. Ajoute une mÃ©ta-donnÃ©e de Titre de premiÃšre ligne de texte (jusqu'Ã  100 caractÃšres).
 
-TextPlugin.title_sub:Expression de substitution pour modifier la chaine stockÃ©e comme Titre. UtilisÃ©e par exemple par PSPlug pour supprimer ''Page 1'' etc du texte utilisÃ© comme titre.
+TextPlugin.title_sub:Expression de substitution pour modifier la chaine stockÃ©e comme Titre. UtilisÃ©e par exemple par PSPlugin pour supprimer ''Page 1'' etc du texte utilisÃ© comme titre.
 
 UnknownPlugin.assoc_field:Nom du champ de mÃ©ta-donnÃ©e qui va contenir le nom de fichier associÃ©.