Index: gli/trunk/help/en/depositormetadatasettings.htm
===================================================================
--- gli/trunk/help/en/depositormetadatasettings.htm	(revision 17061)
+++ gli/trunk/help/en/depositormetadatasettings.htm	(revision 17072)
@@ -7,16 +7,16 @@
 <table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
 <tr>
-<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="depositormetadata"><font size="5" face="Verdana"><strong>8.8: Depositor Metadata</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="depositormetadatasettings"><font size="5" face="Verdana"><strong>8.8: Depositor Metadata</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
 </tr>
 </table>
 
 
-<p>The Greenstone Depositor enables user to add new items into an existing collection through web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new items added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated to the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</p>
+<p>The Greenstone Depositor enables user to add new documents into an existing collection through web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new documents added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated with the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</p>
 
-<p>The Depositor Metadata panel shows a checklist of available metadata fields. If there were more than one metadata sets associated with the collection, two adjacent metadata sets are displayed with different colors. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</p>
+<p>The Depositor Metadata panel shows a checklist of available metadata fields. If there were more than one metadata sets associated with the collection, adjacent metadata sets are displayed in different colours. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</p>
 
-<p>Check those you want to be used to describe new items when they are deposited through the Depositor. A drop-down list contains two components will appear right after the element. This allows you to specify the input container of the element in the web interface. "text" means that a single text input will be used, whereas "textarea" means that a multi-line text input will be used. Select an appropirate one for the field.</p>
+<p>Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear right after each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropirate box type for each field.</p>
 
-<p>At least one metadata element must be selected. If there is only one selected element in the list, de-select it will pop-up a warning message: "At least one metadata element should be selected.".</p>
+<p>At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: "At least one metadata element should be selected.".</p>
 
 </body>
Index: gli/trunk/help/en/help.xml
===================================================================
--- gli/trunk/help/en/help.xml	(revision 17061)
+++ gli/trunk/help/en/help.xml	(revision 17072)
@@ -444,8 +444,8 @@
 <Text id="dm-1">Depositor Metadata</Text>
 </Title>
-<Text id="dm-2">The Greenstone Depositor enables user to add new items into an existing collection through web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new items added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated to the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</Text>
-<Text id="dm-3">The Depositor Metadata panel shows a checklist of available metadata fields. If there were more than one metadata sets associated with the collection, two adjacent metadata sets are displayed with different colors. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</Text>
-<Text id="dm-4">Check those you want to be used to describe new items when they are deposited through the Depositor. A drop-down list contains two components will appear right after the element. This allows you to specify the input container of the element in the web interface. "text" means that a single text input will be used, whereas "textarea" means that a multi-line text input will be used. Select an appropirate one for the field.</Text>
-<Text id="dm-5">At least one metadata element must be selected. If there is only one selected element in the list, de-select it will pop-up a warning message: <AutoText key="glidict::CDM.DepositorMetadataManager.Warning"/>.</Text>
+<Text id="dm-2">The Greenstone Depositor enables user to add new documents into an existing collection through web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new documents added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated with the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</Text>
+<Text id="dm-3">The Depositor Metadata panel shows a checklist of available metadata fields. If there were more than one metadata sets associated with the collection, adjacent metadata sets are displayed in different colours. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</Text>
+<Text id="dm-4">Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear right after each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropirate box type for each field.</Text>
+<Text id="dm-5">At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: <AutoText key="glidict::CDM.DepositorMetadataManager.Warning"/>.</Text>
 </Section>
 </Section>