Index: gli/trunk/classes/dictionary_fr.properties
===================================================================
--- gli/trunk/classes/dictionary_fr.properties	(revision 17081)
+++ gli/trunk/classes/dictionary_fr.properties	(revision 17082)
@@ -83,5 +83,5 @@
 CDM.BuildTypeManager.Current_Type:Indexeur en service: {0}  # Updated 3-Dec-2007 by Georges Braoudakis
 CDM.BuildTypeManager.Change:Modifier ...  # Updated 3-Dec-2007 by Georges Braoudakis
-CDM.BuildTypeManager.Change_Tooltip:Changer l'indexeur utilisÃ© par cette collection  # Updated 3-Dec-2007 by Georges Braoudakis
+CDM.BuildTypeManager.Change_Tooltip:Modifier l'indexeur utilisÃ© par cette collection  # Updated 29-Aug-2008 by John Rose
 CDM.ClassifierManager.Add:Ajouter classificateur...  # Updated 31-Jul-2008 by johnrose
 CDM.ClassifierManager.Add_Tooltip:Utiliser le classificateur spÃ©cifiÃ© avec cette collection
@@ -92,5 +92,5 @@
 CDM.ClassifierManager.Classifier_XML_Parse_Failed:Impossible de dÃ©terminer les arguments pour le classificateur {0}\n. Merci de s'assurer que le classificateur en question\nfournit le drapeau -xml en exÃ©cutant le script classinfo.pl\nsimilaire au script pluginfo.pl dans la\nsection 2.1 du Guide du DÃ©velopeur Greenstone.  # Updated 11-Mar-2006
 CDM.ClassifierManager.Configure:Configurer classificateur...  # Updated 31-Jul-2008 by johnrose
-CDM.ClassifierManager.Configure_Tooltip:Changer les options du classificateur sÃ©lectionnÃ©
+CDM.ClassifierManager.Configure_Tooltip:Modifier les options du classificateur sÃ©lectionnÃ©  # Updated 29-Aug-2008 by John Rose
 CDM.ClassifierManager.Remove:Supprimer classificateur  # Updated 31-Jul-2008 by johnrose
 CDM.ClassifierManager.Remove_Tooltip:Supprimer le classificateur sÃ©lectionnÃ© de la liste
@@ -213,5 +213,5 @@
 CDM.PlugInManager.Assigned:Plugiciels attribuÃ©s  # Updated 5-Jan-2008 by John Rose
 CDM.PlugInManager.Configure:Configurer plugiciel...  # Updated 24-Dec-2007 by John Rose
-CDM.PlugInManager.Configure_Tooltip:Changer les options du plugiciel sÃ©lectionnÃ©  # Updated 24-Dec-2007 by John Rose
+CDM.PlugInManager.Configure_Tooltip:Modifier les options du plugiciel sÃ©lectionnÃ©  # Updated 29-Aug-2008 by John Rose
 CDM.PlugInManager.Ignore:N'ajoutez pas de plugiciel  # Updated 24-Dec-2007 by John Rose
 CDM.PlugInManager.Ignore_Tooltip:N'ajoutez pas de plugiciel Ã  cette collection  # Updated 24-Dec-2007 by John Rose
@@ -244,5 +244,5 @@
 CDM.SubcollectionManager.Name:Nom du filtre de sous-collection :  # Updated 5-Jan-2008 by John Rose
 CDM.SubcollectionManager.Name_Tooltip:Nom du nouveau filtre de sous collection
-CDM.SubcollectionManager.Partitions_Disabled:Cette fonctionnalitÃ© est actuellement dÃ©asctivÃ©e parce que vous vous trouvez dans le mode {0-Current Mode}. Elle n'est disponible que dans les modes {1-Systems} et {2-Expert}. Utilisez Fichier ->PrÃ©fÃ©rences pour changer le mode d'opÃ©ration.
+CDM.SubcollectionManager.Partitions_Disabled:Cette fonctionnalitÃ© est actuellement dÃ©asctivÃ©e parce que vous vous trouvez dans le mode {0-Current Mode}. Elle n'est disponible que dans les modes {1-Systems} et {2-Expert}. Utilisez Fichier->PrÃ©fÃ©rences pour modifier le mode d'opÃ©ration.  # Updated 29-Aug-2008 by John Rose
 CDM.SubcollectionManager.Remove:Supprimer filtre
 CDM.SubcollectionManager.Remove_Tooltip:Supprimer le filtre sÃ©lectionnÃ© de la liste
@@ -348,18 +348,18 @@
 CreatePane.Build_Tooltip:Options pour l'Ã©tape d'indexation et de classification lors du paramÃ©trage de la collection  # Updated 5-Jan-2008 by John Rose
 CreatePane.Build_Collection:Construire collection
-CreatePane.Build_Collection_Tooltip:DÃ©marrer le processus de formation de la collection
+CreatePane.Build_Collection_Tooltip:DÃ©marrer le processus de construction de la collection  # Updated 29-Aug-2008 by John Rose
 CreatePane.Build_Progress:Progression de la construction
 CreatePane.Cancel_Build:Annuler la construction
-CreatePane.Cancel_Build_Tooltip:ArrÃªter du processus de formation de la collection
+CreatePane.Cancel_Build_Tooltip:ArrÃªter du processus de construction de la collection  # Updated 29-Aug-2008 by John Rose
 CreatePane.Full_Build:Reconstruction complÃšte  # Updated 23-Jan-2008 by johnrose
 CreatePane.Full_Build_Tooltip:Reconstituez complÃštement la collection depuis le dÃ©but  # Updated 11-Mar-2006
 CreatePane.Import:Options d'importation
-CreatePane.Import_Tooltip:Options pour la phase de conversion de fichiers et d'attribution de mÃ©tadonnÃ©es lors du paramÃ©trage de la collection  # Updated 5-Jan-2008 by John Rose
+CreatePane.Import_Tooltip:Options pour la phase de conversion de fichiers et d'attribution de mÃ©tadonnÃ©es lors de la construction de la collection  # Updated 29-Aug-2008 by John Rose
 CreatePane.Import_Progress:Progression de l'importation
 CreatePane.Minimal_Build:Reconstruction minimale  # Updated 23-Jan-2008 by johnrose
 CreatePane.Minimal_Build_Tooltip:Plus rapide, car seules sont exÃ©cutÃ©es les parties du processus de construction de la collection qui sont nÃ©cessaires  # Updated 2-Aug-2008 by johnrose
 CreatePane.Minimal_Build_Not_Required:La reconstruction n'est pas nÃ©cessaire parce que vous n'avez ajoutÃ© aucun fichier Ã  la collection,\nni revisÃ© aucune mÃ©tadonnÃ©e, ni modifiÃ© les options dans la vue "ParamÃ©trer".\n(Pour provoquer la reconstruction, chosir "Construction complÃšte" et sÃ©lectionner le bouton "Construire collection".)  # Updated 24-Dec-2007 by John Rose
-CreatePane.Log:Journal de messages  # Updated 2-Aug-2008 by johnrose
-CreatePane.Log_Tooltip:Voir les rÃ©sultats des prÃ©cÃ©dents essais de formation de la collection
+CreatePane.Log:Historique de messages  # Updated 29-Aug-2008 by John Rose
+CreatePane.Log_Tooltip:Voir les rÃ©sultats des prÃ©cÃ©dents essais de construction de la collection  # Updated 29-Aug-2008 by John Rose
 CreatePane.Mode_All:tout
 CreatePane.Options:Groupes d'options
@@ -432,5 +432,5 @@
 EnrichPane.InheritedMetadata_Tooltip:Cliquez sur cette icÃŽne pour consulter le dossier dans lequel a Ã©tÃ© affectÃ© ce morceau de mÃ©tadonnÃ©es hÃ©ritÃ©  # Updated 3-Dec-2007 by Georges Braoudakis
 EnrichPane.ManageMetadataSets:GÃ©rer les jeux de mÃ©tadonnÃ©es ...  # Updated 3-Dec-2007 by Georges Braoudakis
-EnrichPane.ManageMetadataSets_Tooltip:Changer les jeux de mÃ©tadonnÃ©es utilisÃ©es par la collection  # Updated 3-Dec-2007 by Georges Braoudakis
+EnrichPane.ManageMetadataSets_Tooltip:Modifier les jeux de mÃ©tadonnÃ©es utilisÃ©es par la collection  # Updated 29-Aug-2008 by John Rose
 EnrichPane.No_File:Aucun fichier sÃ©lectionnÃ©
 EnrichPane.No_Metadata:Aucune mÃ©tadonnÃ©e disponible  # Updated 25-Dec-2007 by johnrose
@@ -663,4 +663,5 @@
 GShell.Import.ImportComplete.Failed.1:1 a Ã©tÃ© rejetÃ©.
 GShell.Import.ImportComplete3:\n
+GShell.Import.Warning:Avertissement de {0-plugin name} :  # Updated 29-Aug-2008 by John Rose
 GShell.Parsing_Metadata_Complete:L'extraction de mÃ©tadonnÃ©es archivÃ©es est terminÃ©e.  # Updated 5-Jan-2008 by John Rose
 GShell.Parsing_Metadata_Start:Extraction de nouvelles mÃ©tadonnÃ©es Ã  partir des fichiers archives.  # Updated 5-Jan-2008 by John Rose
@@ -812,5 +813,5 @@
 Mirroring.DownloadJob.Log:Voir l'historique  # Updated 18-May-2008 by johnrose
 Mirroring.DownloadJob.Log_Tooltip:Voir les dÃ©tails pour ce tÃ©lÃ©chargement
-Mirroring.DownloadJob.Log_Title:TÃ©lÃ©charger le journal  # Updated 4-Jan-2008 by John Rose
+Mirroring.DownloadJob.Log_Title:TÃ©lÃ©charger l'historique  # Updated 29-Aug-2008 by John Rose
 Mirroring.DownloadJob.Pause:Pause
 Mirroring.DownloadJob.Pause_Tooltip:Suspendre ce tÃ©lÃ©chargement
@@ -905,4 +906,5 @@
 Preferences.Connection.Library_Path_Tooltip:L'URL du serveur web Greenstone
 Preferences.Connection.Library_Path_Tooltip_GS3:URL du serveur web de Greenstone
+# -- Missing translation: Preferences.Connection.Library_Path_Connection_Failure
 Preferences.Connection.ProgramCommand:Commande de prÃ©visualisation:
 Preferences.Connection.ProgramCommand_Tooltip:La commande d'exÃ©cution pour le programme utilisÃ© pour prÃ©visualiser la collection. Pensez Ã  utiliser %1 pour rÃ©server de la place pour l'adresse de la collection et Ã  utiliser des symboles lÃ  oÃ¹ c'est nÃ©cessaire.
@@ -926,4 +928,5 @@
 Preferences.General.Interface_Language_Tooltip:SÃ©lectionner la langue que vous voulez utiliser pour l'interface et ses commandes,
 Preferences.General.Restart_Required:GLI doit Ãªtre redÃ©marrÃ© pour mettre Ã  jour son interface.
+# -- Missing translation: Preferences.General.Manual_Restart_Required
 Preferences.General.Show_File_Size:Montrer les tailles des fichiers
 Preferences.General.Show_File_Size_Tooltip:Montrer les tailles des fichiers Ã  cÃŽtÃ© des entrÃ©es dans le bureau et dans l'arborescence des fichiers des collections.