Index: /gsdl/trunk/macros/french2.dm
===================================================================
--- /gsdl/trunk/macros/french2.dm	(revision 17084)
+++ /gsdl/trunk/macros/french2.dm	(revision 17085)
@@ -376,12 +376,12 @@
 ou modifier des collections de la bibliothÃšque numÃ©rique. Cela permet de
 protÃ©ger les informations contenues dans votre bibliothÃšque numÃ©rique en
-empÃªchant les autres de se connecter sur votre ordinateur et de changer
+empÃªchant les autres de se connecter sur votre ordinateur et de modifier
 les informations. Note: pour des raisons de sÃ©curitÃ©, vous serez
 automatiquement dÃ©connectÃ© aprÃšs une pÃ©riode d'inactivitÃ© de 30 minutes.
-Si cela vous arrive, ne vous en faites pas! -- vous pouvez Ã  nouveau
+Si cela vous arrive, ne vous en faites pas ! -- vous pouvez Ã  nouveau
 entrer votre signature et continuer Ã  partir de l'endroit oÃ¹ vous Ã©tiez
 lors de la dÃ©connexion. 
 
-}
+}  # Updated 29-Aug-2008 by John Rose
 
 _textcb4_ [l=fr] {Veuillez entrer votre nom d'utilisateur et votre mot de passe, puis
@@ -401,5 +401,5 @@
 _textdtc_ [l=fr] {Supprimer entiÃšrement la collection}
 _textetcfcd_ [l=fr] {Exporter la collection pour l'enregistrer sur un CD-ROM auto-installable sous Windows}
-_textcaec_ [l=fr] {Changer une collection existante}
+_textcaec_ [l=fr] {Modifier une collection existante}  # Updated 29-Aug-2008 by John Rose
 _textnwec_ [l=fr] {Aucune collection permettant l'Ã©criture n'est disponible pour modification}
 _textcianc_ [l=fr] {CrÃ©ation d'une nouvelle collection}
@@ -419,5 +419,5 @@
 }
 
-_textadab_ [l=fr] {Un diagramme apparaÃ®t ci-dessous, qui vous aidera Ã  vous situer dans la
+_textadab_ [l=fr] {Le diagramme ci-dessous vous aidera Ã  vous situer dans la
 sÃ©quence. Le bouton vert est celui sur lequel vous devez cliquer pour
 continuer la sÃ©quence. Lorsque vous allez vous dÃ©placer dans la
@@ -426,5 +426,6 @@
 correspondant dans le diagramme.
 
-}
+
+}  # Updated 29-Aug-2008 by John Rose
 
 _textwyar_ [l=fr] {Lorsque vous Ãªtes prÃªts, cliquez sur le bouton vert Â«informations sur
@@ -564,14 +565,13 @@
 configuration contenus dans ce fichier.
 
-
 <center><p><b>Si vous n'Ãªtes pas un utilisateur avancÃ©, allez
 directement en bas de la page.</b></center> 
 
-<p>Pour changer les paramÃštres de configuration, Ã©ditez les paramÃštres
+<p>Pour modifier les paramÃštres de configuration, Ã©ditez les paramÃštres
 qui apparaissent ci-dessous. Si vous faites une erreur, vous pouvez
 toujours cliquer sur le bouton Â«RÃ©initialiserÂ» pour revenir aux
 paramÃštres de configuration initiaux.
 
-}
+}  # Updated 29-Aug-2008 by John Rose
 
 _textreset_ [l=fr] {RÃ©initialiser}
@@ -676,10 +676,9 @@
 
 <p>Il est probable que ce problÃšme provient du fait que Greenstone a Ã©tÃ©
-installÃ© sans les composants qui permettent la fonction Â«Export de la
-collectionÂ».
+installÃ© sans les composants qui permettent la fonction Â«Exporter ver CD-RomÂ».
  <ul>
 
  <li>
- Si vous avez installÃ© Greenstone Ã  partir du CD-ROM, ces composants
+ Si vous avez installÃ© Ã  partir du CD-Rom une version de Greenstone plus ancienne que 2.70w, ces composants
  n'ont pas Ã©tÃ© installÃ©s Ã  moins que vous ne les ayez sÃ©lectionnÃ©s dans
  le cadre d'une installation Â«PersonnalisÃ©eÂ». Vous pouvez les ajouter Ã 
@@ -691,9 +690,8 @@
  <a href="http://www.greenstone.org">http://www.greenstone.org</a> ou bien
  envoyer un courrier Ã©lectronique Ã  
- <a href="mailto:greenstone@cs.waikato.ac.nz">
- greenstone@cs.waikato.ac.nz</a> pour plus de dÃ©tails. 
+ <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">la liste de discussion</a> pour plus de dÃ©tails. 
  </ul> 
 
-}
+}  # Updated 29-Aug-2008 by John Rose
 
 ######################################################################
@@ -711,4 +709,5 @@
 _textselect_ [l=fr] {SÃ©lectionnez une collection}  # Updated 30-Nov-2007 
 _textmeta_ [l=fr] {PrÃ©cisez les mÃ©tadonnÃ©es}  # Updated 30-Nov-2007 
+# -- Missing translation: _textselectoption_
 
 _texttryagain_ [l=fr] {<a href="_httppagedepositor_" target=_top> RedÃ©marrez le dÃ©posant</a>
@@ -825,9 +824,8 @@
 
 _textbugstitle_ [l=fr] {bugs}
-_textreport_ [l=fr] {Nous voulons nous assurer que ce logiciel fonctionne correctement et
-qu'il convient Ã  vos besoins. Veuillez nous faire part des bogues Ã  <a
-href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
-
-}
+_textreport_ [l=fr] {Nous voulons nous assurer que ce logiciel fonctionne correctement et qu'il 
+convient Ã  vos besoins. Veuillez nous faire part des bogues Ã  
+<a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">la liste de discussion</a>.
+}  # Updated 29-Aug-2008 by John Rose
 
 _textgs3title_ [l=fr] {dans les ouvrages}
@@ -912,4 +910,16 @@
 
 }
+_textavailablegroups_ [l=fr] {Les groupes prÃ©dÃ©finis sont le groupe des administrateurs et d'autres groupes 
+qui autorisent la construction des collections Ã  distance avec l'Interface BibliothÃšcaire ou le DÃ©posant :
+<ul>
+<li><b>administrator</b> : donne l'autorisation d'accÃ©der Ã  la configuration du site et aux comptes 
+d'utilisateurs, ainsi que de modifier ceux-ci.
+<li><b>personal-collections-editor</b> : donne l'autorisation de crÃ©er des nouvelles collections personnelles.
+<li><b>&lt;nom de collection&gt;-collection-editor</b> : donne l'autorisation de crÃ©er et de modifier la collection 
+"nom de collection", par exemple rapports-collection-editor.
+<li><b>all-collections-editor</b> : donne l'autorisation de crÃ©er de nouvelles collections personnelles ou globales 
+et de modifier <b>toutes</b> les collections.
+</ul>
+}  # Updated 29-Aug-2008 by John Rose
 
 
@@ -939,5 +949,5 @@
 #------------------------------------------------------------
 
-_textchangepw_ [l=fr] {Changer le mot de passe}
+_textchangepw_ [l=fr] {Modifier le mot de passe}  # Updated 29-Aug-2008 by John Rose
 _textoldpw_ [l=fr] {Ancien mot de passe}
 _textnewpw_ [l=fr] {Nouveau mot de passe}
@@ -997,5 +1007,5 @@
 _textlistusers_ [l=fr] {Liste des utilisateurs}
 _textaddusers_ [l=fr] {Ajouter un nouvel utilisateur}
-_textchangepasswd_ [l=fr] {Changer le mot de passe}
+_textchangepasswd_ [l=fr] {modifier le mot de passe}  # Updated 29-Aug-2008 by John Rose
 _textinfo_ [l=fr] {Informations techniques}
 _textgeneral_ [l=fr] {GÃ©nÃ©ral}
@@ -1050,5 +1060,5 @@
 #------------------------------------------------------------
 
-_textbsummary_ [l=fr] {RÃ©sumÃ© de la construction pour la collection Â«_collectionname_Â»} # Updated 30-Nov-2007 
+_textbsummary_ [l=fr] {RÃ©sumÃ© de la construction pour la collection Â«_collectionname_Â»}  # Updated 30-Nov-2007 
 _textflog_ [l=fr] {Journal des opÃ©rations qui ont Ã©chouÃ© pour la collection _collectionname_}  # Updated 30-Nov-2007 
 _textilog_ [l=fr] {Journal d'importation pour la collection "_collectionname_" }  # Updated 30-Nov-2007 
@@ -1153,5 +1163,5 @@
 _textgtiglidict_ [l=fr] {Dictionnaire GLI}  # Updated 8-Mar-2006
 _textgtiglihelp_ [l=fr] {GLI Aide}  # Updated 8-Mar-2006
-_textgtiperlmodules_ [l=fr] {Perl Modules}  # Updated 8-Mar-2006
+_textgtiperlmodules_ [l=fr] {Modules Perl}  # Updated 29-Aug-2008 by John Rose
 _textgtitutorials_ [l=fr] {Exercices de travaux pratiques}  # Updated 21-Mar-2006
 _textgtigreenorg_ [l=fr] {Greenstone.org}  # Updated 8-Mar-2006
@@ -1198,8 +1208,8 @@
  <ol>
  <li> TÃ©lÃ©charger <a href="_gwcgi_?a=gti&p=excel&e=_compressedoptions_">ce fichier </a>.
- <li> Ouvrez le fichier dans Microsoft Excel et enregistrez comme travail Microsoft Excel (. xls).
+ <li> Ouvrez le fichier dans Microsoft Excel (la version Office 2003/XP ou une version plus rÃ©cente est requise) et enregistrez comme travail Microsoft Excel (.xls).
  <li> Entrez les traductions dans les cadres prÃ©vus.
  <li> Lorsque vous avez fini de traduire toutes les chaÃ®nes de caractÃšres, envoyez ce fichier .xls par courrier Ã©lectronique Ã  <a href="mailto:_gtiadministratoremail_"> _gtiadministratoremail_</a>.
- </ol>}  # Updated 30-Nov-2007 
+ </ol>}  # Updated 7-Jan-2008 by johnrose
 
 