Index: /gsdl/trunk/perllib/dbutil.pm
===================================================================
--- /gsdl/trunk/perllib/dbutil.pm	(revision 17104)
+++ /gsdl/trunk/perllib/dbutil.pm	(revision 17105)
@@ -38,12 +38,11 @@
 	return &open_infodb_write_handle_sqlite($infodb_file_path);
     }
-    elsif ($infodb_type eq "gdbm")
-    {
-	return &open_infodb_write_handle_gdbm($infodb_file_path);
-    }
-
-    # Use text (gzipped) version ready for conversion to GDBM 
-    # if the infodb type is empty or not one of the values above
-    return &open_infodb_write_handle_gdbm_txtgz($infodb_file_path);
+    elsif ($infodb_type eq "gdbm-txtgz")
+    {
+	return &open_infodb_write_handle_gdbm_txtgz($infodb_file_path);
+    }
+
+    # Use GDBM if the infodb type is empty or not one of the values above
+    return &open_infodb_write_handle_gdbm($infodb_file_path);
 }
 
@@ -58,12 +57,11 @@
 	return &close_infodb_write_handle_sqlite($infodb_handle);
     }
-    elsif ($infodb_type eq "gdbm")
-    {
-	return &close_infodb_write_handle_gdbm($infodb_handle);
-    }
-
-    # Use text (gzipped) version ready for conversion to GDBM 
-    # if the infodb type is empty or not one of the values above return
-    &close_infodb_write_handle_gdbm_txtgz($infodb_handle);
+    elsif ($infodb_type eq "gdbm-txtgz")
+    {
+	return &close_infodb_write_handle_gdbm_txtgz($infodb_handle);
+    }
+
+    # Use GDBM if the infodb type is empty or not one of the values above
+    &close_infodb_write_handle_gdbm($infodb_handle);
 }
 
@@ -71,5 +69,7 @@
 sub get_default_infodb_type
 {
-    return "gdbm-txtgz";
+    # The default is GDBM so everything works the same for existing collections
+    # To use something else, specify the "infodbtype" in the collection's collect.cfg file
+    return "gdbm";
 }
 
@@ -85,12 +85,11 @@
 	return &get_infodb_file_path_sqlite($collection_name, $infodb_directory_path);
     }
-    elsif ($infodb_type eq "gdbm")
-    {
-	return &get_infodb_file_path_gdbm($collection_name, $infodb_directory_path);
-    }
-
-    # Use text (gzipped) version ready for conversion to GDBM 
-    # if the infodb type is empty or not one of the values above return
-    return &get_infodb_file_path_gdbm_txtgz($collection_name, $infodb_directory_path);
+    elsif ($infodb_type eq "gdbm-txtgz")
+    {
+	return &get_infodb_file_path_gdbm_txtgz($collection_name, $infodb_directory_path);
+    }
+
+    # Use GDBM if the infodb type is empty or not one of the values above
+    return &get_infodb_file_path_gdbm($collection_name, $infodb_directory_path);
 }
 
@@ -106,12 +105,11 @@
 	return &read_infodb_file_sqlite($infodb_file_path, $infodb_map);
     }
-    elsif ($infodb_type eq "gdbm")
-    {
-	return &read_infodb_file_gdbm($infodb_file_path, $infodb_map);
-    }
-
-    # Use text (gzipped) version ready for conversion to GDBM 
-    # if the infodb type is empty or not one of the values above return
-    return &read_infodb_file_gdbm_txtgz($infodb_file_path, $infodb_map);
+    elsif ($infodb_type eq "gdbm-txtgz")
+    {
+	return &read_infodb_file_gdbm_txtgz($infodb_file_path, $infodb_map);
+    }
+
+    # Use GDBM if the infodb type is empty or not one of the values above
+    return &read_infodb_file_gdbm($infodb_file_path, $infodb_map);
 }
 
@@ -128,12 +126,11 @@
 	return &write_infodb_entry_sqlite($infodb_handle, $infodb_key, $infodb_map);
     }
-    elsif ($infodb_type eq "gdbm")
-    {
-	return &write_infodb_entry_gdbm($infodb_handle, $infodb_key, $infodb_map);
-    }
-
-    # Use text (gzipped) version ready for conversion to GDBM 
-    # if the infodb type is empty or not one of the values above return
-    return &write_infodb_entry_gdbm_txtgz($infodb_handle, $infodb_key, $infodb_map);
+    elsif ($infodb_type eq "gdbm-txtgz")
+    {
+	return &write_infodb_entry_gdbm_txtgz($infodb_handle, $infodb_key, $infodb_map);
+    }
+
+    # Use GDBM if the infodb type is empty or not one of the values above
+    return &write_infodb_entry_gdbm($infodb_handle, $infodb_key, $infodb_map);
 }
 
@@ -265,4 +262,5 @@
     return $infodb_file_handle;
 }
+
 
 sub close_infodb_write_handle_gdbm