Index: gli/trunk/src/org/greenstone/gatherer/gui/SimpleResultDialog.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/SimpleResultDialog.java	(revision 14129)
+++ gli/trunk/src/org/greenstone/gatherer/gui/SimpleResultDialog.java	(revision 17131)
@@ -48,56 +48,71 @@
 
 public class SimpleResultDialog
-    extends ModalDialog {
+  extends ModalDialog {
     
-    private Dimension size = new Dimension(600,300);
-    private SimpleResultDialog self;
+  private Dimension size = new Dimension(600,300);
+  private SimpleResultDialog self;
     
-    public SimpleResultDialog(String title, String label, String results) {
-	super(Gatherer.g_man, title, true);
-	this.self = this;
+  public SimpleResultDialog(String title, String label, String results) {
+    super(Gatherer.g_man, title, true);
+    this.self = this;
 	
-	setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
-	setSize(size);
+    setUpGUI(label, results);
+  }
+
+  /** If you are calling this from another dialog, and you want that dialog blocked while this is open, need to use this method, passing in the calling dialog as the parent */
+  public SimpleResultDialog(Dialog parent, String title, String label, String results) {
+
+    super(parent, title, true);
+    this.self = this;
+  
+    setUpGUI(label, results);
+  }
+
+  private void setUpGUI(String label, String results) {
+    setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
+    setSize(size);
 	
-	JPanel content_pane = (JPanel) getContentPane();
-	JLabel result_label = new JLabel(label);
+    JPanel content_pane = (JPanel) getContentPane();
+    JLabel result_label = new JLabel(label);
 	
-	JPanel button_pane = new JPanel();
-	JButton close_button = new GLIButton(Dictionary.get("General.Close"));
-	close_button.addActionListener(new CloseButtonListener());
+    JPanel button_pane = new JPanel();
+    JButton close_button = new GLIButton(Dictionary.get("General.Close"));
+    close_button.addActionListener(new CloseButtonListener());
 	
-	JPanel output_pane = new JPanel();
-	JLabel output_label = new JLabel(Dictionary.get("General.Review_Output"));
+    JPanel output_pane = new JPanel();
+    JLabel output_label = new JLabel(Dictionary.get("General.Review_Output"));
 		
-	JTextArea output_textarea = new JTextArea(results);
-	output_textarea.setCaretPosition(0);
-	output_textarea.setEditable(false);
-	output_textarea.setLineWrap(true);
-	output_textarea.setWrapStyleWord(true);
+    JTextArea output_textarea = new JTextArea(results);
+    output_textarea.setCaretPosition(0);
+    output_textarea.setEditable(false);
+    output_textarea.setLineWrap(true);
+    output_textarea.setWrapStyleWord(true);
 	
-	button_pane.setLayout(new BorderLayout());
-	button_pane.add(close_button, BorderLayout.EAST);
+    button_pane.setLayout(new BorderLayout());
+    button_pane.add(close_button, BorderLayout.EAST);
 	
-	output_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
-	output_pane.setLayout(new BorderLayout());
-	output_pane.add(output_label, BorderLayout.NORTH);
-	output_pane.add(new JScrollPane(output_textarea), BorderLayout.CENTER);
+    output_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
+    output_pane.setLayout(new BorderLayout());
+    output_pane.add(output_label, BorderLayout.NORTH);
+    output_pane.add(new JScrollPane(output_textarea), BorderLayout.CENTER);
 	
-	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
-	content_pane.setLayout(new BorderLayout());
-	content_pane.add(result_label, BorderLayout.NORTH);
-	content_pane.add(output_pane, BorderLayout.CENTER);
-	content_pane.add(button_pane, BorderLayout.SOUTH);
+    content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
+    content_pane.setLayout(new BorderLayout());
+    content_pane.add(result_label, BorderLayout.NORTH);
+    content_pane.add(output_pane, BorderLayout.CENTER);
+    content_pane.add(button_pane, BorderLayout.SOUTH);
 	
-	// Position
-	Rectangle frame_bounds = Gatherer.g_man.getBounds();
-	setLocation(frame_bounds.x + (frame_bounds.width - size.width) / 2, frame_bounds.y + (frame_bounds.height - size.height) / 2);
+    // Position
+    Rectangle frame_bounds = Gatherer.g_man.getBounds();
+    setLocation(frame_bounds.x + (frame_bounds.width - size.width) / 2, frame_bounds.y + (frame_bounds.height - size.height) / 2);
+    //new SimpleResultDialog(Gatherer.g_man, title, label, results);
+  }
+  
+  
+  private class CloseButtonListener
+    implements ActionListener {
+    public void actionPerformed(ActionEvent event) {
+      self.setVisible(false);
     }
-    
-    private class CloseButtonListener
-	implements ActionListener {
-	public void actionPerformed(ActionEvent event) {
-	    self.setVisible(false);
-	}
-    }
+  }
 }